// <copyright company='Microsoft Corporation'>
//    Copyright (c) Microsoft Corporation. All Rights Reserved.
// </copyright>
// @owner=krisztb

using System.Diagnostics.CodeAnalysis;

#region CA1501:AvoidExcessiveInheritance

[module: SuppressMessage("Microsoft.Maintainability", "CA1501:AvoidExcessiveInheritance", Scope = "type", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.HundredPercentStackedAreaChart")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1501:AvoidExcessiveInheritance", Scope = "type", Target = "System.Web.UI.DataVisualization.Charting.EllipseAnnotation")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1501:AvoidExcessiveInheritance", Scope = "type", Target = "System.Web.UI.DataVisualization.Charting.Border3DAnnotation")]

#endregion // CA1501:AvoidExcessiveInheritance


#region CA1502:AvoidExcessiveComplexity

[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BubbleChart.#ScaleBubbleSize(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Double)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BubbleChart.#AxisScaleBubbleSize(System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Double,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.HundredPercentStackedBarChart.#GetYValue(System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series,System.Web.UI.DataVisualization.Charting.DataPoint,System.Int32,System.Int32)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedColumnChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedColumnChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Boolean,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FunnelChart.#GetLabelsPosition()")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FunnelChart.#DrawFunnel3DSquareSegment(System.Web.UI.DataVisualization.Charting.DataPoint,System.Int32,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FunnelChart.#DrawFunnelCircularSegment(System.Web.UI.DataVisualization.Charting.DataPoint,System.Int32,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.ThreeLineBreakChart.#FillThreeLineBreakData(System.Web.UI.DataVisualization.Charting.Series,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.ErrorBarChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.ErrorBarChart.#CalculateErrorAmount(System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.ErrorBarChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BoxPlotChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BoxPlotChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BoxPlotChart.#CalculateBoxPlotValues(System.Web.UI.DataVisualization.Charting.DataPoint&,System.Web.UI.DataVisualization.Charting.Series,System.String)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PointChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PointChart.#DrawLabels(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Drawing.PointF,System.Int32,System.Web.UI.DataVisualization.Charting.DataPoint,System.Web.UI.DataVisualization.Charting.Series,System.Int32)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PointChart.#ProcessSinglePoint3D(System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.HundredPercentStackedColumnChart.#GetYValue(System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series,System.Web.UI.DataVisualization.Charting.DataPoint,System.Int32,System.Int32)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PointAndFigureChart.#FillPointAndFigureData(System.Web.UI.DataVisualization.Charting.Series,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedBarChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedBarChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Boolean,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedBarChart.#DrawLabels3D(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Drawing.RectangleF,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.Series,System.Double,System.Double,System.Double,System.Int32)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedAreaChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BarChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BarChart.#DrawLabelsAndMarkers(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Drawing.RectangleF,System.Web.UI.DataVisualization.Charting.DataPoint,System.Web.UI.DataVisualization.Charting.Series,System.Double,System.Double,System.Double,System.Int32,System.Int32&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BarChart.#ProcessChartType(System.Boolean,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BarChart.#DrawLabels3D(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Drawing.RectangleF,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.Series,System.Double,System.Double,System.Double,System.Int32)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StepLineChart.#Draw3DSurface(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Single,System.Single,System.Collections.ArrayList,System.Int32,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Single,System.Single,System.Drawing.PointF,System.Drawing.PointF,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.ColumnChart.#ProcessChartType(System.Boolean,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.ColumnChart.#ProcessChartType3D(System.Boolean,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.RangeChart.#Draw3DSurface(System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Single,System.Single,System.Collections.ArrayList,System.Int32,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Web.UI.DataVisualization.Charting.LineSegmentType,System.Single,System.Single,System.Drawing.PointF,System.Drawing.PointF,System.Boolean,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.RangeChart.#DrawLine(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.DataPoint,System.Web.UI.DataVisualization.Charting.Series,System.Drawing.PointF[],System.Int32,System.Single)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#EstimateLabels(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.PointF,System.Drawing.SizeF,System.Single,System.Single,System.Web.UI.DataVisualization.Charting.DataPoint,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartArea)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#PointOrder(System.Web.UI.DataVisualization.Charting.Series,System.Web.UI.DataVisualization.Charting.ChartArea,System.Single[]&,System.Single[]&,System.Int32[]&,System.Boolean&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#DrawDoughnutCurves(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.DataPoint,System.Single,System.Single,System.Drawing.PointF[],System.Drawing.SolidBrush,System.Drawing.Pen,System.Boolean,System.Boolean,System.Int32)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Single)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#DrawLabels(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.PointF,System.Drawing.SizeF,System.Single,System.Single,System.Web.UI.DataVisualization.Charting.DataPoint,System.Single,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Int32,System.Drawing.Color)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#DrawPieCurves(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.DataPoint,System.Single,System.Single,System.Drawing.PointF[],System.Drawing.SolidBrush,System.Drawing.Pen,System.Boolean,System.Boolean,System.Int32)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart+LabelsMode)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#PrepareData(System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#Draw3DPie(System.Int32,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.DataPoint,System.Web.UI.DataVisualization.Charting.ChartArea,System.Drawing.RectangleF,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean,System.Int32)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.HundredPercentStackedAreaChart.#GetYValue(System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series,System.Web.UI.DataVisualization.Charting.DataPoint,System.Int32,System.Int32)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FastLineChart.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FastPointChart.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.RadarChart.#DrawLabels(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Drawing.PointF,System.Int32,System.Web.UI.DataVisualization.Charting.DataPoint,System.Web.UI.DataVisualization.Charting.Series,System.Int32)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.RadarChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StockChart.#DrawOpenCloseMarks(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series,System.Web.UI.DataVisualization.Charting.DataPoint,System.Single,System.Single)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StockChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StockChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StockChart.#DrawOpenCloseMarks3D(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series,System.Web.UI.DataVisualization.Charting.DataPoint,System.Single,System.Single,System.Single,System.Single)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.LineChart.#DrawLine(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.DataPoint,System.Web.UI.DataVisualization.Charting.Series,System.Drawing.PointF[],System.Int32,System.Single)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.LineChart.#ClipBottomPoints(System.Drawing.Drawing2D.GraphicsPath,System.Web.UI.DataVisualization.Charting.DataPoint3D&,System.Web.UI.DataVisualization.Charting.DataPoint3D&,System.Drawing.PointF&,System.Drawing.PointF&,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Single,System.Single,System.Collections.ArrayList,System.Int32,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Web.UI.DataVisualization.Charting.LineSegmentType,System.Single,System.Single)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.LineChart.#ProcessLineChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.LineChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.LineChart.#ClipTopPoints(System.Drawing.Drawing2D.GraphicsPath,System.Web.UI.DataVisualization.Charting.DataPoint3D&,System.Web.UI.DataVisualization.Charting.DataPoint3D&,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Single,System.Single,System.Collections.ArrayList,System.Int32,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Web.UI.DataVisualization.Charting.LineSegmentType,System.Single,System.Single)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.KagiChart.#Draw3DSurface(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Single,System.Single,System.Collections.ArrayList,System.Int32,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Single,System.Single,System.Drawing.PointF,System.Drawing.PointF,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.AreaChart.#Draw3DSurface(System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Single,System.Single,System.Collections.ArrayList,System.Int32,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Web.UI.DataVisualization.Charting.LineSegmentType,System.Single,System.Single,System.Drawing.PointF,System.Drawing.PointF,System.Boolean,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.AreaChart.#Draw3DSurface(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Single,System.Single,System.Collections.ArrayList,System.Int32,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Single,System.Single,System.Drawing.PointF,System.Drawing.PointF,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.AreaChart.#DrawLine(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.DataPoint,System.Web.UI.DataVisualization.Charting.Series,System.Drawing.PointF[],System.Int32,System.Single)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.TimeSeriesAndForecasting.#PolynomialRegression(System.Web.UI.DataVisualization.Charting.Formulas.TimeSeriesAndForecasting+RegressionType,System.Double[][],System.Double[][]&,System.Int32,System.Int32,System.Double)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartImage.#DataBindCrossTab(System.Collections.IEnumerable,System.String,System.String,System.String,System.String,System.Boolean,System.Web.UI.DataVisualization.Charting.PointSortOrder)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartImage.#GetDataSourceMemberNames(System.Object,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartImage.#AlignDataPointsByAxisLabel(System.Collections.ArrayList,System.Boolean,System.Web.UI.DataVisualization.Charting.PointSortOrder)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartImage.#DataBind(System.Collections.IEnumerable,System.Collections.ArrayList)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.PolylineAnnotation.#Paint(System.Web.UI.DataVisualization.Charting.Chart,System.Web.UI.DataVisualization.Charting.ChartGraphics)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartHelper.#GetIntervalSize(System.Double,System.Double,System.Web.UI.DataVisualization.Charting.DateTimeIntervalType,System.Web.UI.DataVisualization.Charting.Series,System.Double,System.Web.UI.DataVisualization.Charting.DateTimeIntervalType,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#Draw3DPolygon(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.SurfaceNames,System.Single,System.Drawing.Color,System.Drawing.Color,System.Int32,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Web.UI.DataVisualization.Charting.LineSegmentType,System.Web.UI.DataVisualization.Charting.SurfaceNames)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#ShouldDrawLineChartSurface(System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Web.UI.DataVisualization.Charting.SurfaceNames,System.Web.UI.DataVisualization.Charting.SurfaceNames,System.Drawing.Color,System.Collections.ArrayList,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Boolean,System.Web.UI.DataVisualization.Charting.LineSegmentType&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#AddEllipseSegment(System.Drawing.Drawing2D.GraphicsPath,System.Drawing.Drawing2D.GraphicsPath,System.Drawing.Drawing2D.GraphicsPath,System.Boolean,System.Single,System.Drawing.PointF&,System.Drawing.PointF&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#DrawRectangleBarStyle(System.Web.UI.DataVisualization.Charting.BarDrawingStyle,System.Boolean,System.Drawing.RectangleF)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#DrawLabelStringRel(System.Web.UI.DataVisualization.Charting.Axis,System.Int32,System.Web.UI.DataVisualization.Charting.LabelMarkStyle,System.Drawing.Color,System.String,System.String,System.Drawing.Color,System.Drawing.Font,System.Drawing.Brush,System.Drawing.RectangleF,System.Drawing.StringFormat,System.Int32,System.Drawing.RectangleF,System.Web.UI.DataVisualization.Charting.CustomLabel,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#FillRectangleRel(System.Drawing.RectangleF,System.Drawing.Color,System.Web.UI.DataVisualization.Charting.ChartHatchStyle,System.String,System.Web.UI.DataVisualization.Charting.ChartImageWrapMode,System.Drawing.Color,System.Web.UI.DataVisualization.Charting.ChartImageAlignmentStyle,System.Web.UI.DataVisualization.Charting.GradientStyle,System.Drawing.Color,System.Drawing.Color,System.Int32,System.Web.UI.DataVisualization.Charting.ChartDashStyle,System.Drawing.Color,System.Int32,System.Drawing.Drawing2D.PenAlignment,System.Boolean,System.Int32,System.Boolean,System.Web.UI.DataVisualization.Charting.BarDrawingStyle,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#FillRectangleAbs(System.Drawing.RectangleF,System.Drawing.Color,System.Web.UI.DataVisualization.Charting.ChartHatchStyle,System.String,System.Web.UI.DataVisualization.Charting.ChartImageWrapMode,System.Drawing.Color,System.Web.UI.DataVisualization.Charting.ChartImageAlignmentStyle,System.Web.UI.DataVisualization.Charting.GradientStyle,System.Drawing.Color,System.Drawing.Color,System.Int32,System.Web.UI.DataVisualization.Charting.ChartDashStyle,System.Drawing.Drawing2D.PenAlignment)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#Draw3DSurface(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.SurfaceNames,System.Single,System.Single,System.Drawing.Color,System.Drawing.Color,System.Int32,System.Web.UI.DataVisualization.Charting.ChartDashStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Collections.ArrayList,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Web.UI.DataVisualization.Charting.LineSegmentType,System.Boolean,System.Boolean,System.Boolean,System.Boolean,System.Int32,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#FillPieSides(System.Web.UI.DataVisualization.Charting.ChartArea,System.Single,System.Single,System.Single,System.Drawing.PointF[],System.Drawing.SolidBrush,System.Drawing.Pen,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#Fill3DRectangle(System.Drawing.RectangleF,System.Single,System.Single,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Drawing.Color,System.Single,System.Single,System.Drawing.Color,System.Int32,System.Web.UI.DataVisualization.Charting.ChartDashStyle,System.Web.UI.DataVisualization.Charting.BarDrawingStyle,System.Boolean,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#DrawMarker3D(System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Single,System.Drawing.PointF,System.Web.UI.DataVisualization.Charting.MarkerStyle,System.Int32,System.Drawing.Color,System.Drawing.Color,System.Int32,System.String,System.Drawing.Color,System.Int32,System.Drawing.Color,System.Drawing.RectangleF,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#DrawBarStyleGradients(System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.BarDrawingStyle,System.Drawing.RectangleF,System.Single,System.Single,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#DrawMarkerAbs(System.Drawing.PointF,System.Web.UI.DataVisualization.Charting.MarkerStyle,System.Int32,System.Drawing.Color,System.Drawing.Color,System.Int32,System.String,System.Drawing.Color,System.Int32,System.Drawing.Color,System.Drawing.RectangleF,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#DrawPathAbs(System.Drawing.Drawing2D.GraphicsPath,System.Drawing.Color,System.Web.UI.DataVisualization.Charting.ChartHatchStyle,System.String,System.Web.UI.DataVisualization.Charting.ChartImageWrapMode,System.Drawing.Color,System.Web.UI.DataVisualization.Charting.ChartImageAlignmentStyle,System.Web.UI.DataVisualization.Charting.GradientStyle,System.Drawing.Color,System.Drawing.Color,System.Int32,System.Web.UI.DataVisualization.Charting.ChartDashStyle,System.Drawing.Drawing2D.PenAlignment)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#Fill3DRectangleAsCylinder(System.Drawing.RectangleF,System.Single,System.Single,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Drawing.Color,System.Single,System.Single,System.Drawing.Color,System.Int32,System.Web.UI.DataVisualization.Charting.ChartDashStyle,System.Boolean,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPointCustomProperties.#SetDefault(System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AxisScaleBreakStyle.#FillAxisSegmentCollection(System.Web.UI.DataVisualization.Charting.AxisScaleSegmentCollection)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Selection.#HitTest(System.Int32,System.Int32,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartElementType[])")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Selection.#GetHitTestResult(System.String,System.Int32,System.Web.UI.DataVisualization.Charting.ChartElementType,System.Object,System.Object)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Selection.#GetHotRegions(System.Object,System.Web.UI.DataVisualization.Charting.ChartElementType)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#Resize(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.ElementPosition,System.Drawing.RectangleF,System.Single,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#CheckLabelsFit(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Single,System.Boolean,System.Boolean,System.Boolean,System.Boolean,System.Boolean,System.Collections.ArrayList)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#DrawAxis3DTitle(System.Web.UI.DataVisualization.Charting.ChartGraphics)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#GetRequiredLabelSize(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Single,System.Single&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#ReduceLabelInterval(System.Double,System.Double,System.Web.UI.DataVisualization.Charting.DateTimeIntervalType&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#DrawAxisTitle(System.Web.UI.DataVisualization.Charting.ChartGraphics)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#AdjustLabelFontAtSecondPass(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#CalcInterval(System.Double,System.Double,System.Boolean,System.Web.UI.DataVisualization.Charting.DateTimeIntervalType&,System.Web.UI.DataVisualization.Charting.ChartValueType)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#DrawAxisLine(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#EstimateNumberAxis(System.Double&,System.Double&,System.Boolean,System.Int32,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#AdjustIntervalToFitLabels(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Boolean,System.Web.UI.DataVisualization.Charting.AxisScaleSegment,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#FillLabels(System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#Draw3DAxisLine(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.PointF,System.Drawing.PointF,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Annotation.#SetPositionRelative(System.Drawing.RectangleF,System.Drawing.PointF,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Annotation.#PaintSelectionHandles(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.RectangleF,System.Drawing.Drawing2D.GraphicsPath)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Annotation.#GetRelativePosition(System.Drawing.PointF&,System.Drawing.SizeF&,System.Drawing.PointF&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPoint.#SetValueY(System.Object[])")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPointCollection.#ConvertEnumerationItem(System.Object,System.String)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPointCollection.#DataBindXY(System.Collections.IEnumerable,System.String,System.Collections.IEnumerable,System.String)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPointCollection.#DataBindXY(System.Collections.IEnumerable,System.Collections.IEnumerable[])")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPointCollection.#GetValueType(System.Collections.IEnumerator,System.String)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LabelStyle.#Paint3D(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LabelStyle.#PaintCircular(System.Web.UI.DataVisualization.Charting.ChartGraphics)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LabelStyle.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.SmartLabel.#IsSmartLabelCollide(System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.SmartLabelStyle,System.Drawing.PointF,System.Drawing.SizeF,System.Drawing.PointF,System.Drawing.StringFormat,System.Web.UI.DataVisualization.Charting.LabelAlignmentStyles,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.SmartLabel.#LineIntersectRectangle(System.Drawing.RectangleF,System.Drawing.PointF,System.Drawing.PointF)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#FillLegendItemsCollection()")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#CheckLegendItemsFit(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.Size,System.Int32,System.Int32,System.Int32,System.Int32[],System.Int32[,]&,System.Int32[,]&,System.Int32&,System.Int32&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#RecalcLegendInfo(System.Web.UI.DataVisualization.Charting.ChartGraphics)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#GetOptimalSize(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.SizeF)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#GetNumberOfRowsAndColumns(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.Size,System.Int32,System.Int32[]&,System.Int32&,System.Int32&,System.Int32&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#DrawLegendHeader(System.Web.UI.DataVisualization.Charting.ChartGraphics)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.TextAnnotation.#DrawText(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.RectangleF,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator.#GroupByAxisLabel(System.String,System.Web.UI.DataVisualization.Charting.Series[],System.Web.UI.DataVisualization.Charting.Series[])")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator.#ExportSeriesValues(System.Web.UI.DataVisualization.Charting.Series[])")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator.#Group(System.String,System.Double,System.Web.UI.DataVisualization.Charting.IntervalType,System.Double,System.Web.UI.DataVisualization.Charting.IntervalType,System.Web.UI.DataVisualization.Charting.Series[],System.Web.UI.DataVisualization.Charting.Series[])")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator.#ProcessPointValues(System.Web.UI.DataVisualization.Charting.DataManipulator+GroupingFunctionInfo[],System.Double[],System.Web.UI.DataVisualization.Charting.Series,System.Web.UI.DataVisualization.Charting.DataPoint,System.Int32,System.Int32,System.Int32,System.Boolean,System.Int32&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#GetValuesFromData(System.Web.UI.DataVisualization.Charting.Axis,System.Double&,System.Double&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#GetPointsInterval(System.Collections.Generic.List`1<System.String>,System.Boolean,System.Double,System.Boolean,System.Boolean&,System.Web.UI.DataVisualization.Charting.Series&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#Resize(System.Web.UI.DataVisualization.Charting.ChartGraphics)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#GetArea3DSceneDepth()")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#SeriesDateTimeType(System.Web.UI.DataVisualization.Charting.AxisName,System.String)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#SeriesIntegerType(System.Web.UI.DataVisualization.Charting.AxisName,System.String)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#SetDefaultFromData(System.Web.UI.DataVisualization.Charting.Axis)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#SetData(System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#SetData(System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#PreventTopBottomAxesLabelsOverlapping(System.Web.UI.DataVisualization.Charting.Axis)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Series.#PrepareData(System.ComponentModel.ISite,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Grid.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LegendCell.#PaintCellSeriesSymbol(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.SizeF)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.TickMark.#Draw3DTickLine(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.PointF,System.Drawing.PointF,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.TickMark.#PaintCustom(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.TickMark.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.StripLine.#PaintTitle(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.RectangleF)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.StripLine.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Title.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LegendAreaNameConverter.#GetStandardValues(System.ComponentModel.ITypeDescriptorContext)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartPicture.#Paint(System.Drawing.Graphics,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.BinaryFormatSerializer.#SerializeObject(System.Object,System.Object,System.String,System.IO.BinaryWriter)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase.#ResetObjectProperties(System.Object,System.Object,System.String)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.XmlFormatSerializer.#DeserializeObject(System.Object,System.Object,System.String,System.Xml.XmlNode,System.Xml.XmlDocument)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.XmlFormatSerializer.#SerializeObject(System.Object,System.Object,System.String,System.Xml.XmlNode,System.Xml.XmlDocument)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.ImageLoader.#LoadImage(System.String,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase.#FindConverterByType(System.ComponentModel.TypeConverterAttribute)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Series.#PrepareData(System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPointCollection.#DataBind(System.Collections.IEnumerable,System.String,System.String,System.String)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1502:AvoidExcessiveComplexity", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.KagiChart.#DrawLine(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.DataPoint,System.Web.UI.DataVisualization.Charting.Series,System.Drawing.PointF[],System.Int32,System.Single)")]


#endregion // CA1502:AvoidExcessiveComplexity


#region CA1505:AvoidUnmaintainableCode

[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedColumnChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedColumnChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Boolean,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FunnelChart.#DrawFunnelCircularSegment(System.Web.UI.DataVisualization.Charting.DataPoint,System.Int32,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.ErrorBarChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.ErrorBarChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BoxPlotChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BoxPlotChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PointChart.#DrawLabels(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Drawing.PointF,System.Int32,System.Web.UI.DataVisualization.Charting.DataPoint,System.Web.UI.DataVisualization.Charting.Series,System.Int32)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedBarChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedBarChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Boolean,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedAreaChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BarChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BarChart.#DrawLabelsAndMarkers(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Drawing.RectangleF,System.Web.UI.DataVisualization.Charting.DataPoint,System.Web.UI.DataVisualization.Charting.Series,System.Double,System.Double,System.Double,System.Int32,System.Int32&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BarChart.#ProcessChartType(System.Boolean,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.RangeChart.#Draw3DSurface(System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Single,System.Single,System.Collections.ArrayList,System.Int32,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Web.UI.DataVisualization.Charting.LineSegmentType,System.Single,System.Single,System.Drawing.PointF,System.Drawing.PointF,System.Boolean,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.RangeChart.#DrawLine(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.DataPoint,System.Web.UI.DataVisualization.Charting.Series,System.Drawing.PointF[],System.Int32,System.Single)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#PointOrder(System.Web.UI.DataVisualization.Charting.Series,System.Web.UI.DataVisualization.Charting.ChartArea,System.Single[]&,System.Single[]&,System.Int32[]&,System.Boolean&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#DrawLabels(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.PointF,System.Drawing.SizeF,System.Single,System.Single,System.Web.UI.DataVisualization.Charting.DataPoint,System.Single,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Int32,System.Drawing.Color)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart+LabelsMode)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FastLineChart.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.RadarChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StockChart.#ProcessChartType3D(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StockChart.#DrawOpenCloseMarks3D(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series,System.Web.UI.DataVisualization.Charting.DataPoint,System.Single,System.Single,System.Single,System.Single)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.LineChart.#ClipBottomPoints(System.Drawing.Drawing2D.GraphicsPath,System.Web.UI.DataVisualization.Charting.DataPoint3D&,System.Web.UI.DataVisualization.Charting.DataPoint3D&,System.Drawing.PointF&,System.Drawing.PointF&,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Single,System.Single,System.Collections.ArrayList,System.Int32,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Web.UI.DataVisualization.Charting.LineSegmentType,System.Single,System.Single)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.LineChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.LineChart.#ClipTopPoints(System.Drawing.Drawing2D.GraphicsPath,System.Web.UI.DataVisualization.Charting.DataPoint3D&,System.Web.UI.DataVisualization.Charting.DataPoint3D&,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Single,System.Single,System.Collections.ArrayList,System.Int32,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Web.UI.DataVisualization.Charting.LineSegmentType,System.Single,System.Single)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.AreaChart.#Draw3DSurface(System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Boolean,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Single,System.Single,System.Collections.ArrayList,System.Int32,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Web.UI.DataVisualization.Charting.LineSegmentType,System.Single,System.Single,System.Drawing.PointF,System.Drawing.PointF,System.Boolean,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#DrawRectangleBarStyle(System.Web.UI.DataVisualization.Charting.BarDrawingStyle,System.Boolean,System.Drawing.RectangleF)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#DrawLabelStringRel(System.Web.UI.DataVisualization.Charting.Axis,System.Int32,System.Web.UI.DataVisualization.Charting.LabelMarkStyle,System.Drawing.Color,System.String,System.String,System.Drawing.Color,System.Drawing.Font,System.Drawing.Brush,System.Drawing.RectangleF,System.Drawing.StringFormat,System.Int32,System.Drawing.RectangleF,System.Web.UI.DataVisualization.Charting.CustomLabel,System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#Draw3DSurface(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Web.UI.DataVisualization.Charting.SurfaceNames,System.Single,System.Single,System.Drawing.Color,System.Drawing.Color,System.Int32,System.Web.UI.DataVisualization.Charting.ChartDashStyle,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Collections.ArrayList,System.Int32,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Web.UI.DataVisualization.Charting.LineSegmentType,System.Boolean,System.Boolean,System.Boolean,System.Boolean,System.Int32,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#DrawBarStyleGradients(System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.BarDrawingStyle,System.Drawing.RectangleF,System.Single,System.Single,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#DrawMarkerAbs(System.Drawing.PointF,System.Web.UI.DataVisualization.Charting.MarkerStyle,System.Int32,System.Drawing.Color,System.Drawing.Color,System.Int32,System.String,System.Drawing.Color,System.Int32,System.Drawing.Color,System.Drawing.RectangleF,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#Fill3DRectangleAsCylinder(System.Drawing.RectangleF,System.Single,System.Single,System.Web.UI.DataVisualization.Charting.Matrix3D,System.Web.UI.DataVisualization.Charting.LightStyle,System.Drawing.Color,System.Single,System.Single,System.Drawing.Color,System.Int32,System.Web.UI.DataVisualization.Charting.ChartDashStyle,System.Boolean,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#Resize(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.ElementPosition,System.Drawing.RectangleF,System.Single,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#CheckLabelsFit(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Single,System.Boolean,System.Boolean,System.Boolean,System.Boolean,System.Boolean,System.Collections.ArrayList)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#FillLabels(System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Annotation.#GetRelativePosition(System.Drawing.PointF&,System.Drawing.SizeF&,System.Drawing.PointF&)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LabelStyle.#Paint3D(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LabelStyle.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#Resize(System.Web.UI.DataVisualization.Charting.ChartGraphics)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.TickMark.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.CustomPropertyRegistry.#RegisterProperties()")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1505:AvoidUnmaintainableCode", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Title.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics)")]

#endregion // CA1505:AvoidUnmaintainableCode


#region CA1506:AvoidExcessiveClassCoupling

[module: SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedAreaChart.#ProcessChartType(System.Boolean,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartImage.#GetDataSourceMemberNames(System.Object,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "type", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "type", Target = "System.Web.UI.DataVisualization.Charting.Axis")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LabelStyle.#Paint(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Boolean)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "type", Target = "System.Web.UI.DataVisualization.Charting.ChartArea")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "type", Target = "System.Web.UI.DataVisualization.Charting.Series")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "type", Target = "System.Web.UI.DataVisualization.Charting.Chart")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Chart.#.ctor()")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "type", Target = "System.Web.UI.DataVisualization.Charting.ChartPicture")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase.#FindConverterByType(System.ComponentModel.TypeConverterAttribute)")]
[module: SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "type", Target = "System.Web.UI.DataVisualization.Charting.ChartImage")]

#endregion // CA1506:AvoidExcessiveClassCoupling


#region CA1702:CompoundWordsShouldBeCasedCorrectly

[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartColorPalette.#SemiTransparent", MessageId = "SemiTransparent")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", MessageId = "Gridlines", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartElementType.#Gridlines", Justification = "Gridlines are popular term in charting. Refer to excel chart.")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", MessageId = "Gridline", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.GridTickTypes.#Gridline", Justification = "Gridlines are popular term in charting. Refer to excel chart.")]
[module: SuppressMessage("Microsoft.Naming", "CA1701:ResourceStringCompoundWordsShouldBeCasedCorrectly", MessageId = "Gridlines", Scope = "resource", Target = "System.Web.UI.DataVisualization.Charting.SR.resources", Justification = "Gridlines are popular term in charting. Refer to excel chart.")]

#endregion // CA1702:CompoundWordsShouldBeCasedCorrectly


#region CA1703:ResourceStringsShouldBeSpelledCorrectly

[module: SuppressMessage("Microsoft.Naming", "CA1703:ResourceStringsShouldBeSpelledCorrectly", Scope = "resource", Target = "System.Web.UI.DataVisualization.Charting.SR.resources", MessageId = "rror")]
[module: SuppressMessage("Microsoft.Naming", "CA1703:ResourceStringsShouldBeSpelledCorrectly", Scope = "resource", Target = "System.Web.UI.DataVisualization.Charting.SR.resources", MessageId = "Kagi")]
[module: SuppressMessage("Microsoft.Naming", "CA1703:ResourceStringsShouldBeSpelledCorrectly", Scope = "resource", Target = "System.Web.UI.DataVisualization.Charting.SR.resources", MessageId = "Renko")]
[module: SuppressMessage("Microsoft.Naming", "CA1703:ResourceStringsShouldBeSpelledCorrectly", Scope = "resource", Target = "System.Web.UI.DataVisualization.Charting.SR.resources", MessageId = "Polyline")]
[module: SuppressMessage("Microsoft.Naming", "CA1703:ResourceStringsShouldBeSpelledCorrectly", Scope = "resource", Target = "System.Web.UI.DataVisualization.Charting.SR.resources", MessageId = "uint")]
[module: SuppressMessage("Microsoft.Naming", "CA1703:ResourceStringsShouldBeSpelledCorrectly", Scope = "resource", Target = "System.Web.UI.DataVisualization.Charting.SR.resources", MessageId = "Unscaled")]
[module: SuppressMessage("Microsoft.Naming", "CA1703:ResourceStringsShouldBeSpelledCorrectly", Scope = "resource", Target = "System.Web.UI.DataVisualization.Charting.SR.resources", MessageId = "deserializer")]
[module: SuppressMessage("Microsoft.Naming", "CA1703:ResourceStringsShouldBeSpelledCorrectly", Scope = "resource", Target = "System.Web.UI.DataVisualization.Charting.SR.resources", MessageId = "ulong")]
[module: SuppressMessage("Microsoft.Naming", "CA1703:ResourceStringsShouldBeSpelledCorrectly", Scope = "resource", Target = "System.Web.UI.DataVisualization.Charting.SR.resources", MessageId = "ushort")]
[module: SuppressMessage("Microsoft.Naming", "CA1703:ResourceStringsShouldBeSpelledCorrectly", Scope = "resource", Target = "System.Web.UI.DataVisualization.Charting.SR.resources", MessageId = "megapixels")]

#endregion // CA1703:ResourceStringsShouldBeSpelledCorrectly


#region CA1805:DoNotInitializeUnnecessarily

[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BubbleChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.HundredPercentStackedBarChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart+LabelColumn.#.ctor(System.Drawing.RectangleF)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedColumnChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FunnelChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.ChartTypeRegistry.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.ErrorBarChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BoxPlotChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PointChart.#.ctor(System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PointChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PointChart+Label3DInfo.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.HundredPercentStackedColumnChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PointAndFigureChart.#.cctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedBarChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StackedAreaChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BarChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.ColumnChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.RangeChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FunnelSegmentInfo.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.HundredPercentStackedAreaChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FastLineChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FastPointChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StockChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.StockChart.#.ctor(System.Web.UI.DataVisualization.Charting.ChartTypes.StockOpenCloseMarkStyle)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.LineChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.KagiChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.AreaChart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FunnelPointLabelInfo.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.NamedImage.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartImage.#.ctor(System.ComponentModel.Design.IServiceContainer)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.HotRegion.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataFormula.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CustomizeLegendEventArgs.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartHttpHandler.#.cctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CustomLabel.#.ctor(System.Double,System.Double,System.String,System.Int32,System.Web.UI.DataVisualization.Charting.LabelMarkStyle)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CustomLabel.#.ctor(System.Double,System.Double,System.String,System.Int32,System.Web.UI.DataVisualization.Charting.LabelMarkStyle,System.Web.UI.DataVisualization.Charting.GridTickTypes)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CustomLabel.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.PolylineAnnotation.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CalloutAnnotation.#.cctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator+GroupingFunctionInfo.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Point3D.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#.ctor(System.Web.UI.DataVisualization.Charting.CommonElements)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea+ChartTypeAndSeriesInfo.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea+ChartTypeAndSeriesInfo.#.ctor(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CircularChartAreaAxis.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.FontCache+KeyInfo.#.ctor(System.Drawing.FontFamily,System.Single,System.Drawing.FontStyle)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.FontCache+KeyInfo.#.ctor(System.String,System.Single)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.FontCache+KeyInfo.#.ctor(System.Drawing.FontFamily,System.Single,System.Drawing.FontStyle,System.Drawing.GraphicsUnit)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartElement.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartElement.#.ctor(System.Web.UI.DataVisualization.Charting.IChartElement)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPointCustomProperties.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPointCustomProperties.#.ctor(System.Web.UI.DataVisualization.Charting.Series,System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AxisScaleSegmentCollection.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AxisScaleSegmentCollection.#.ctor(System.Web.UI.DataVisualization.Charting.Axis)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AxisScaleBreakStyle.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AxisScaleBreakStyle.#.ctor(System.Web.UI.DataVisualization.Charting.Axis)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Selection.#.ctor(System.ComponentModel.Design.IServiceContainer)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LegendItem.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LegendItem.#.ctor(System.String,System.Drawing.Color,System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#.ctor(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.AxisName)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartHttpHandlerSettings.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartHttpHandlerSettings.#.ctor(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Annotation.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPoint.#.ctor(System.Web.UI.DataVisualization.Charting.Series)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.RingTimeTracker.#.ctor(System.TimeSpan,System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AnnotationPathPointCollection.#.ctor(System.Web.UI.DataVisualization.Charting.PolylineAnnotation)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.TTestResult.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.GdiGraphics.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LabelStyle.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LabelStyle.#.ctor(System.Web.UI.DataVisualization.Charting.Axis)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LegendCellColumn.#.ctor(System.String,System.Web.UI.DataVisualization.Charting.LegendCellColumnType,System.String,System.Drawing.ContentAlignment)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AxisScaleView.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AxisScaleView.#.ctor(System.Web.UI.DataVisualization.Charting.Axis)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LineAnnotation.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AnovaResult.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Margins.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Margins.#.ctor(System.Int32,System.Int32,System.Int32,System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.SmartLabel.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.SmartLabelStyle.#.ctor(System.Object)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.SmartLabelStyle.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ElementPosition.#.ctor(System.Single,System.Single,System.Single,System.Single)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ElementPosition.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ElementPosition.#.ctor(System.Web.UI.DataVisualization.Charting.IChartElement)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CommonElements.#.ctor(System.ComponentModel.Design.IServiceContainer)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CustomizeMapAreasEventArgs.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AnnotationPathPoint.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#.ctor(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.TextAnnotation.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.HotRegionsList.#.ctor(System.Web.UI.DataVisualization.Charting.CommonElements)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#.ctor(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartPaintEventArgs.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartPaintEventArgs.#.ctor(System.Object,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ElementPosition)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartPaintEventArgs.#.ctor(System.Object,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.ElementPosition)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator+PointElementFilter.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator+PointElementFilter.#.ctor(System.Web.UI.DataVisualization.Charting.DataManipulator,System.Web.UI.DataVisualization.Charting.DateRangeType,System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.HitTestResult.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Series.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Series.#.ctor(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Series.#.ctor(System.String,System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.FTestResult.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Grid.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Grid.#.ctor(System.Web.UI.DataVisualization.Charting.Axis,System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartSerializer.#.ctor(System.ComponentModel.Design.IServiceContainer)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartSerializer.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LegendCell.#.ctor(System.Web.UI.DataVisualization.Charting.LegendCellType,System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LegendCell.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LegendCell.#.ctor(System.Web.UI.DataVisualization.Charting.LegendCellType,System.String,System.Drawing.ContentAlignment)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LegendCell.#.ctor(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.StripLine.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPoint3D.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AxisScaleSegment.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Title.#.ctor(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Title.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Title.#.ctor(System.String,System.Web.UI.DataVisualization.Charting.Docking)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Title.#.ctor(System.String,System.Web.UI.DataVisualization.Charting.Docking,System.Drawing.Font,System.Drawing.Color)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Chart.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Chart.#.cctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AnnotationCollection.#.ctor(System.Web.UI.DataVisualization.Charting.IChartElement)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea3DStyle.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea3DStyle.#.ctor(System.Web.UI.DataVisualization.Charting.ChartArea)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartPicture.#.ctor(System.ComponentModel.Design.IServiceContainer)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Borders3D.SunkenBorder.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Borders3D.BorderTypeRegistry.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.CustomPropertyInfo.#.ctor(System.String,System.Type,System.Object,System.String,System.Web.UI.DataVisualization.Charting.SeriesChartType[],System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.ImageLoader.#.ctor(System.ComponentModel.Design.IServiceContainer)")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.ImageLoader.#.ctor()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase+ItemInfo.#.ctor()")]

#endregion // CA1805:DoNotInitializeUnnecessarily


#region CA1814:PreferJaggedArraysOverMultidimensional

[module: SuppressMessage("Microsoft.Performance", "CA1814:PreferJaggedArraysOverMultidimensional", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#_subColumnSizes", MessageId = "Member")]
[module: SuppressMessage("Microsoft.Performance", "CA1814:PreferJaggedArraysOverMultidimensional", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#CheckLegendItemsFit(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.Size,System.Int32,System.Int32,System.Int32,System.Int32[],System.Int32[,]&,System.Int32[,]&,System.Int32&,System.Int32&)", MessageId = "Body")]
[module: SuppressMessage("Microsoft.Performance", "CA1814:PreferJaggedArraysOverMultidimensional", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#_cellHeights", MessageId = "Member")]

#endregion // CA1814:PreferJaggedArraysOverMultidimensional


#region CA1822:MarkMembersAsStatic

[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.FunnelChart.#GetCalloutLineColor(System.Web.UI.DataVisualization.Charting.DataPointCustomProperties)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PointChart.#SetHotRegions(System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.DataPoint,System.Drawing.SizeF,System.String,System.Int32,System.Web.UI.DataVisualization.Charting.MarkerStyle,System.Drawing.PointF)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BarChart.#DrawMarkers3D(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.CommonElements,System.Drawing.RectangleF,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.Series,System.Double,System.Double)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BarChart.#SetHotRegions(System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.DataPoint,System.Drawing.SizeF,System.String,System.Int32,System.Web.UI.DataVisualization.Charting.MarkerStyle,System.Drawing.PointF)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.BarChart.#GetEmptyPointValue(System.Web.UI.DataVisualization.Charting.DataPoint,System.Int32,System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.RangeChart.#Draw3DSplinePolygon(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.ChartArea,System.Single,System.Drawing.Color,System.Drawing.Color,System.Int32,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Collections.ArrayList,System.Single,System.Web.UI.DataVisualization.Charting.DrawingOperationTypes,System.Web.UI.DataVisualization.Charting.LineSegmentType,System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#GetLabelRect(System.Drawing.PointF,System.Web.UI.DataVisualization.Charting.ChartArea,System.String,System.Drawing.StringFormat,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.DataPoint,System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#GetPointLabel(System.Web.UI.DataVisualization.Charting.DataPoint)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#DrawDoughnutCurvesBigSlice(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.DataPoint,System.Single,System.Single,System.Drawing.PointF[],System.Drawing.Brush,System.Drawing.Pen,System.Boolean,System.Boolean,System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#ReduceEmptySpace(System.Double[],System.Double[],System.Double)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#CheckPaleteColors(System.Web.UI.DataVisualization.Charting.DataPointCollection)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#Map(System.Web.UI.DataVisualization.Charting.CommonElements,System.Web.UI.DataVisualization.Charting.DataPoint,System.Single,System.Single,System.Drawing.RectangleF,System.Boolean,System.Single,System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#SortIntervals(System.Double[],System.Double[],System.Int32[])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#GetLabelStyle(System.Web.UI.DataVisualization.Charting.DataPoint)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#DrawPieCurvesBigSlice(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.DataPoint,System.Single,System.Single,System.Drawing.PointF[],System.Drawing.Brush,System.Drawing.Pen,System.Boolean,System.Boolean,System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#SpreadInterval(System.Double[],System.Double[],System.Int32,System.Double)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#SwitchPoints(System.Int32,System.Web.UI.DataVisualization.Charting.DataPoint[]&,System.Single[]&,System.Single[]&,System.Int32[]&,System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.PieChart.#ShiftIntervals(System.Double[],System.Double[],System.Double,System.Double)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.RadarChart.#GetEmptyPointValue(System.Web.UI.DataVisualization.Charting.DataPoint,System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.RadarChart.#GetMiddlePoint(System.Drawing.PointF,System.Drawing.PointF)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.LineChart.#DrawTruncatedLine(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.Pen,System.Drawing.PointF,System.Drawing.PointF)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.LineChart.#DrawLine(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Web.UI.DataVisualization.Charting.DataPoint,System.Web.UI.DataVisualization.Charting.Series,System.Drawing.PointF,System.Drawing.PointF)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.LineChart.#GetCenterPointIndex(System.Collections.ArrayList)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartTypes.AreaChart.#GetAxisIntersection(System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Web.UI.DataVisualization.Charting.DataPoint3D,System.Single)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.TimeSeriesAndForecasting.#CopyDeterminant(System.Double[][])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.TimeSeriesAndForecasting.#MakeSubDeterminant(System.Double[][],System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.StatisticalAnalysis.#NormalDistributionInverse(System.Double)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.StatisticalAnalysis.#CheckNumOfPoints(System.Double[][])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.StatisticalAnalysis.#GammLn(System.Double)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.StatisticalAnalysis.#NormalDistributionFunction(System.Double)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.StatisticalAnalysis.#BetaCF(System.Double,System.Double,System.Double)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.StatisticalAnalysis.#Mean(System.Double[])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.StatisticalAnalysis.#Sort(System.Double[]&)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.PriceIndicators.#CheckNumOfValues(System.Double[][],System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.PriceIndicators.#WeightedMovingAverage(System.Double[][],System.Double[][]&,System.String[],System.String[])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.PriceIndicators.#ExponentialMovingAverage(System.Double[][],System.Double[][]&,System.String[],System.String[])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Formulas.PriceIndicators.#MovingAverage(System.Double[][],System.Double[][]&,System.String[],System.String[])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Data.DataManager.#IsPointSkipped(System.Web.UI.DataVisualization.Charting.DataPoint)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartImage.#AlignDataPointsByAxisLabel(System.Collections.ArrayList,System.Boolean,System.Web.UI.DataVisualization.Charting.PointSortOrder)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataFormula.#SplitParameters(System.String,System.String[]&)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataFormula.#DifferentNumberOfSeries(System.Double[][])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataFormula.#RemoveEmptyValues(System.Double[][],System.Double[][]&)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataFormula.#CheckXValuesAlignment(System.Web.UI.DataVisualization.Charting.Series[])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Matrix3D.#GetAngle(System.Web.UI.DataVisualization.Charting.Point3D,System.Web.UI.DataVisualization.Charting.Point3D)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Matrix3D.#GetBrightGradientColor(System.Drawing.Color,System.Double)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Matrix3D.#Set3DBarPoints(System.Single,System.Single,System.Single)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartHttpHandler.#GetHandler()")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CalloutAnnotation.#PathAddLineAsSegments(System.Drawing.Drawing2D.GraphicsPath,System.Single,System.Single,System.Single,System.Single,System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#GetBrightGradientColor(System.Drawing.Color,System.Double)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#GetPieGradientBrush(System.Drawing.RectangleF,System.Drawing.Color,System.Drawing.Color)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#CreateRoundedRectPath(System.Drawing.RectangleF,System.Single[])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#GetGradientBrush(System.Drawing.RectangleF,System.Drawing.Color,System.Drawing.Color,System.Web.UI.DataVisualization.Charting.GradientStyle)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#GetVisibleSurfacesWithPerspective(System.Web.UI.DataVisualization.Charting.Point3D[])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#Round(System.Drawing.RectangleF)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#GetHatchBrush(System.Web.UI.DataVisualization.Charting.ChartHatchStyle,System.Drawing.Color,System.Drawing.Color)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#GetPolygonCirclePath(System.Drawing.RectangleF,System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#GetPenStyle(System.Web.UI.DataVisualization.Charting.ChartDashStyle)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#AngleCorrection(System.Single,System.Double)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartGraphics.#CreateStarPolygon(System.Drawing.RectangleF,System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPointCustomProperties.#Invalidate(System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AxisScaleBreakStyle.#IsExcludedSegment(System.Collections.ArrayList,System.Int32)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AxisScaleBreakStyle.#GetLargestSequenseOfSegmentsWithNoPoints(System.Int32[],System.Int32&,System.Int32&)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Selection.#GetRegionMarkers(System.Drawing.Drawing2D.GraphicsPath)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Selection.#GetMarkers(System.Drawing.RectangleF,System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Selection.#IsChartAreaCircular(System.Web.UI.DataVisualization.Charting.ChartArea)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LegendItem.#Invalidate(System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#CalcYearInterval(System.Double)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#IsArrowInAxis(System.Web.UI.DataVisualization.Charting.ArrowOrientation,System.Web.UI.DataVisualization.Charting.AxisPosition)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#GetNumOfUnits(System.Double,System.Double,System.Web.UI.DataVisualization.Charting.DateTimeIntervalType)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Axis.#WordWrapLongestLabel(System.Web.UI.DataVisualization.Charting.CustomLabelsCollection)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Annotation.#GetAxisName(System.Web.UI.DataVisualization.Charting.Axis)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Annotation.#GetDataPointName(System.Web.UI.DataVisualization.Charting.DataPoint)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CustomPropertiesTypeConverter+CustomAttributesPropertyDescriptor.#GetStringFromValue(System.Object)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPoint.#ConvertValue(System.Object)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataPoint.#RemoveOneKeyword(System.String,System.String,System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CustomPropertiesTypeConverter.#GetSelectedSeries(System.Object)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CustomPropertiesTypeConverter.#IsDataPoint(System.Object)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.CustomPropertiesTypeConverter.#GetPropertyAttributes(System.Web.UI.DataVisualization.Charting.Utilities.CustomPropertyInfo)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LabelStyle.#GetLabelsPosition(System.Web.UI.DataVisualization.Charting.Axis)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LabelStyle.#GetAllLabelsRect(System.Web.UI.DataVisualization.Charting.ChartArea,System.Web.UI.DataVisualization.Charting.AxisPosition,System.Drawing.StringFormat)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.LabelStyle.#Invalidate()")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Margins.#Invalidate()")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.SmartLabel.#CalculatePosition(System.Web.UI.DataVisualization.Charting.LabelAlignmentStyles,System.Drawing.PointF,System.Drawing.SizeF,System.Drawing.SizeF,System.Drawing.StringFormat&)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.SmartLabel.#GetLabelPosition(System.Web.UI.DataVisualization.Charting.ChartGraphics,System.Drawing.PointF,System.Drawing.SizeF,System.Drawing.StringFormat,System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.SmartLabel.#LineIntersectRectangle(System.Drawing.RectangleF,System.Drawing.PointF,System.Drawing.PointF)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.AnnotationPathPoint.#Name")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#Invalidate(System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Legend.#GetMaximumNumberOfRows(System.Int32[])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DefaultImageHandler.#NotSupportedStorageType(System.Web.UI.DataVisualization.Charting.ChartHttpHandlerSettings)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator.#CheckFilterElementCriteria(System.Web.UI.DataVisualization.Charting.DateRangeType,System.Int32[],System.Web.UI.DataVisualization.Charting.DataPoint)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator.#ConvertIntervalType(System.Web.UI.DataVisualization.Charting.IntervalType)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator.#ConvertElementIndexesToArray(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator.#ParseFormulaAndValueType(System.String,System.Int32&)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.DataManipulator.#CheckSeriesArrays(System.Web.UI.DataVisualization.Charting.Series[],System.Web.UI.DataVisualization.Charting.Series[])")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#IsMainSceneWallOnFront()")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#GetDateInterval(System.Double,System.Double,System.Int32&,System.Int64&)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartArea.#Activate(System.Web.UI.DataVisualization.Charting.Axis,System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ImageAnnotation.#GetImageAlignment(System.Drawing.ContentAlignment)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Series.#XSubAxisName")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Series.#YSubAxisName")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Series.#ReplaceOneKeyword(System.Web.UI.DataVisualization.Charting.Chart,System.Object,System.Object,System.Web.UI.DataVisualization.Charting.ChartElementType,System.String,System.String,System.Double,System.Web.UI.DataVisualization.Charting.ChartValueType,System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Series.#Invalidate(System.Boolean,System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Series.#CheckSupportedTypes(System.Type)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Grid.#Invalidate()")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.ChartSerializer.#GetContentString(System.Web.UI.DataVisualization.Charting.SerializationContents,System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.StripLine.#Invalidate()")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.StripLine.#Name")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Title.#Invalidate(System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Chart.#BeginInit()")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Chart.#RenderingDpiX")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Chart.#RenderingDpiY")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Chart.#EndInit()")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Chart.#BuildNumber")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Chart.#CheckImageURLSeqFormat(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.BinaryFormatSerializer.#WritePropertyValue(System.Object,System.String,System.IO.BinaryWriter)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.BinaryFormatSerializer.#CheckPropertiesID(System.Collections.ArrayList)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase.#ShouldSerializeAsAttribute(System.Reflection.PropertyInfo,System.Object)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase.#GetObjectName(System.Object)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase.#IsChartBaseProperty(System.Object,System.Object,System.Reflection.PropertyInfo)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase.#CheckWildCars(System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase+ItemInfo)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase.#SerializeICollAsAtribute(System.Reflection.PropertyInfo,System.Object)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase.#GetListNewItem(System.Collections.IList,System.String,System.String&,System.Boolean&)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase.#NameMatchMask(System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase+ItemInfo,System.String,System.Int32&)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.SerializerBase.#ReadHashID(System.IO.BinaryReader)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "System.Web.UI.DataVisualization.Charting.Utilities.ImageLoader.#LoadFromFile(System.String)")]

#endregion // CA1822:MarkMembersAsStatic

#region CA910:AlwaysSetViewStateUserKeyToUniqueValue
[module: SuppressMessage("Microsoft.MSInternal", "CA910:AlwaysSetViewStateUserKeyToUniqueValue", Scope = "type", Target = "System.Web.UI.DataVisualization.Charting.ChartHttpHandler", Justification = "This page is actually http image handler and doesn't emit any viewstate")]
#endregion //CA910:AlwaysSetViewStateUserKeyToUniqueValue